# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: definitions.proto
"""Generated protocol buffer code."""
from google.protobuf.internal import enum_type_wrapper
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()




DESCRIPTOR = _descriptor.FileDescriptor(
  name='definitions.proto',
  package='',
  syntax='proto3',
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n\x11\x64\x65\x66initions.proto\"G\n\tGpsUpdate\x12\r\n\x05north\x18\x01 \x01(\x02\x12\x0c\n\x04\x65\x61st\x18\x02 \x01(\x02\x12\x0c\n\x04\x64own\x18\x03 \x01(\x02\x12\x0f\n\x07heading\x18\x04 \x01(\x02\"y\n\x0fObjectDetection\x12\x11\n\tobject_id\x18\x01 \x01(\r\x12(\n\x0f\x64\x65tected_object\x18\x02 \x01(\x0e\x32\x0f.DetectedObject\x12\r\n\x05north\x18\x03 \x01(\x02\x12\x0c\n\x04\x65\x61st\x18\x04 \x01(\x02\x12\x0c\n\x04\x64own\x18\x05 \x01(\x02\"\x80\x01\n\x0f\x44roniadaMessage\x12\x11\n\tflight_id\x18\x01 \x01(\r\x12 \n\ngps_update\x18\x02 \x01(\x0b\x32\n.GpsUpdateH\x00\x12,\n\x10object_detection\x18\x03 \x01(\x0b\x32\x10.ObjectDetectionH\x00\x42\n\n\x08messages*6\n\x0e\x44\x65tectedObject\x12\x0c\n\x08TRIANGLE\x10\x00\x12\n\n\x06\x43IRCLE\x10\x01\x12\n\n\x06SQUARE\x10\x02\x62\x06proto3'
)

_DETECTEDOBJECT = _descriptor.EnumDescriptor(
  name='DetectedObject',
  full_name='DetectedObject',
  filename=None,
  file=DESCRIPTOR,
  create_key=_descriptor._internal_create_key,
  values=[
    _descriptor.EnumValueDescriptor(
      name='TRIANGLE', index=0, number=0,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='CIRCLE', index=1, number=1,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='SQUARE', index=2, number=2,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=348,
  serialized_end=402,
)
_sym_db.RegisterEnumDescriptor(_DETECTEDOBJECT)

DetectedObject = enum_type_wrapper.EnumTypeWrapper(_DETECTEDOBJECT)
TRIANGLE = 0
CIRCLE = 1
SQUARE = 2



_GPSUPDATE = _descriptor.Descriptor(
  name='GpsUpdate',
  full_name='GpsUpdate',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='north', full_name='GpsUpdate.north', index=0,
      number=1, type=2, cpp_type=6, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='east', full_name='GpsUpdate.east', index=1,
      number=2, type=2, cpp_type=6, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='down', full_name='GpsUpdate.down', index=2,
      number=3, type=2, cpp_type=6, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='heading', full_name='GpsUpdate.heading', index=3,
      number=4, type=2, cpp_type=6, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=21,
  serialized_end=92,
)


_OBJECTDETECTION = _descriptor.Descriptor(
  name='ObjectDetection',
  full_name='ObjectDetection',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='object_id', full_name='ObjectDetection.object_id', index=0,
      number=1, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='detected_object', full_name='ObjectDetection.detected_object', index=1,
      number=2, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='north', full_name='ObjectDetection.north', index=2,
      number=3, type=2, cpp_type=6, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='east', full_name='ObjectDetection.east', index=3,
      number=4, type=2, cpp_type=6, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='down', full_name='ObjectDetection.down', index=4,
      number=5, type=2, cpp_type=6, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=94,
  serialized_end=215,
)


_DRONIADAMESSAGE = _descriptor.Descriptor(
  name='DroniadaMessage',
  full_name='DroniadaMessage',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='flight_id', full_name='DroniadaMessage.flight_id', index=0,
      number=1, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='gps_update', full_name='DroniadaMessage.gps_update', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='object_detection', full_name='DroniadaMessage.object_detection', index=2,
      number=3, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
    _descriptor.OneofDescriptor(
      name='messages', full_name='DroniadaMessage.messages',
      index=0, containing_type=None,
      create_key=_descriptor._internal_create_key,
    fields=[]),
  ],
  serialized_start=218,
  serialized_end=346,
)

_OBJECTDETECTION.fields_by_name['detected_object'].enum_type = _DETECTEDOBJECT
_DRONIADAMESSAGE.fields_by_name['gps_update'].message_type = _GPSUPDATE
_DRONIADAMESSAGE.fields_by_name['object_detection'].message_type = _OBJECTDETECTION
_DRONIADAMESSAGE.oneofs_by_name['messages'].fields.append(
  _DRONIADAMESSAGE.fields_by_name['gps_update'])
_DRONIADAMESSAGE.fields_by_name['gps_update'].containing_oneof = _DRONIADAMESSAGE.oneofs_by_name['messages']
_DRONIADAMESSAGE.oneofs_by_name['messages'].fields.append(
  _DRONIADAMESSAGE.fields_by_name['object_detection'])
_DRONIADAMESSAGE.fields_by_name['object_detection'].containing_oneof = _DRONIADAMESSAGE.oneofs_by_name['messages']
DESCRIPTOR.message_types_by_name['GpsUpdate'] = _GPSUPDATE
DESCRIPTOR.message_types_by_name['ObjectDetection'] = _OBJECTDETECTION
DESCRIPTOR.message_types_by_name['DroniadaMessage'] = _DRONIADAMESSAGE
DESCRIPTOR.enum_types_by_name['DetectedObject'] = _DETECTEDOBJECT
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

GpsUpdate = _reflection.GeneratedProtocolMessageType('GpsUpdate', (_message.Message,), {
  'DESCRIPTOR' : _GPSUPDATE,
  '__module__' : 'definitions_pb2'
  # @@protoc_insertion_point(class_scope:GpsUpdate)
  })
_sym_db.RegisterMessage(GpsUpdate)

ObjectDetection = _reflection.GeneratedProtocolMessageType('ObjectDetection', (_message.Message,), {
  'DESCRIPTOR' : _OBJECTDETECTION,
  '__module__' : 'definitions_pb2'
  # @@protoc_insertion_point(class_scope:ObjectDetection)
  })
_sym_db.RegisterMessage(ObjectDetection)

DroniadaMessage = _reflection.GeneratedProtocolMessageType('DroniadaMessage', (_message.Message,), {
  'DESCRIPTOR' : _DRONIADAMESSAGE,
  '__module__' : 'definitions_pb2'
  # @@protoc_insertion_point(class_scope:DroniadaMessage)
  })
_sym_db.RegisterMessage(DroniadaMessage)


# @@protoc_insertion_point(module_scope)
